package com.ruoyi.web.modules.order.dto;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 整单发货
 */
public class OrderShipDTO
{
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date shipTime;

    private String deliveryType;

    private String logisticsCompany;

    private String trackingNo;

    private String vehicleNo;

    private String courierName;

    private String courierMobile;

    private String shipRemark;

    public Date getShipTime()
    {
        return shipTime;
    }

    public void setShipTime(Date shipTime)
    {
        this.shipTime = shipTime;
    }

    public String getDeliveryType()
    {
        return deliveryType;
    }

    public void setDeliveryType(String deliveryType)
    {
        this.deliveryType = deliveryType;
    }

    public String getLogisticsCompany()
    {
        return logisticsCompany;
    }

    public void setLogisticsCompany(String logisticsCompany)
    {
        this.logisticsCompany = logisticsCompany;
    }

    public String getTrackingNo()
    {
        return trackingNo;
    }

    public void setTrackingNo(String trackingNo)
    {
        this.trackingNo = trackingNo;
    }

    public String getVehicleNo()
    {
        return vehicleNo;
    }

    public void setVehicleNo(String vehicleNo)
    {
        this.vehicleNo = vehicleNo;
    }

    public String getCourierName()
    {
        return courierName;
    }

    public void setCourierName(String courierName)
    {
        this.courierName = courierName;
    }

    public String getCourierMobile()
    {
        return courierMobile;
    }

    public void setCourierMobile(String courierMobile)
    {
        this.courierMobile = courierMobile;
    }

    public String getShipRemark()
    {
        return shipRemark;
    }

    public void setShipRemark(String shipRemark)
    {
        this.shipRemark = shipRemark;
    }
}
